Subject: Re: bug#32906: org-in-src-block-p always returns nil

From: Eli Zaretskii <[email-masked]>
Date: Tue, 02 Oct 2018 19:05:14 +0300

> From: Eivind Otto Hjelle <[email-masked]>
> Date: Tue, 2 Oct 2018 09:22:56 -0500
> 
> The function 'org-in-src-block-p' always returns nil on my system
> running Windows 10. 
> 
> How to reproduce this bug starting from 'emacs -Q':
> Define a function 'test-org-in-src-block-p' in the scratch buffer as
> follows:
> 
> (defun test-org-in-src-block-p ()
>   (interactive)
>   (print (org-in-src-block-p)))
>   
> Navigate to a src block in org mode and call 'M-x
> test-org-in-src-block-p'. Now nil is printed to the message buffer.
> 
> I should mention that on my other system running a Linux distribution I
> do not have this problem.

Please show a short Org file where this function returns nil on
Windows, but non-nil on GNU/Linux.  (Are you testing this in the same
Emacs version on both systems, btw?)

> I know that this bug was also reported by Ryan
> on 07 Aug 2014, as his bug report is still in the org mailing list
> archives. Ryan's bug report can be found here:
> 
> https://lists.gnu.org/archive/html/emacs-orgmode/2014-08/msg00305.html

I don't see any bug there, just explanations why Ryan's implementation
was wrong.

> 
> In GNU Emacs 25.3.1 (x86_64-w64-mingw32)
>  of 2017-09-12 built on KAEL
> Windowing system distributor 'Microsoft Corp.', version 10.0.17134

Are you using the version of Org that came with this version of Emacs?
Or are you using a different version?